SystemOrganization addCategory: #ConfigurationOfJet!

Object subclass: #ConfigurationOfJet
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfJet'!

!ConfigurationOfJet classSide methodsFor: 'private' stamp: 'VeronicaUquillas 12/19/2011 14:32'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfJet classSide methodsFor: 'metacello tool support' stamp: 'VeronicaUquillas 12/19/2011 14:32'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfJet classSide methodsFor: 'loading' stamp: 'VeronicaUquillas 12/19/2011 14:32'!
loadDefault
	(self project version: 'default') load! !

!ConfigurationOfJet classSide methodsFor: 'loading' stamp: 'VeronicaUquillas 12/19/2011 14:32'!
loadVersion12
	(self project version: '1.2') load! !

!ConfigurationOfJet classSide methodsFor: 'loading' stamp: 'VeronicaUquillas 12/19/2011 14:32'!
loadVersion13
	(self project version: '1.3') load! !

!ConfigurationOfJet classSide methodsFor: 'loading' stamp: 'VeronicaUquillas 12/19/2011 14:32'!
loadVersion14
	(self project version: '1.4') load! !

!ConfigurationOfJet classSide methodsFor: 'accessing' stamp: 'VeronicaUquillas 12/19/2011 14:32'!
project

	^self new project! !

!ConfigurationOfJet methodsFor: 'baselines' stamp: 'VeronicaUquillas 3/12/2012 20:23'!
baseline13: spec 
	<version: '1.3-baseline'>
	
	spec for: #common do: [
		spec author: 'VeronicaUquillas'.
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/JET'.		
		spec 
			package: 'Jet-Model' with: [ spec requires: #('RingHistory') ];
			package: 'Jet-Browsers' with: [ spec requires: #('Jet-Model') ].
			
		spec
			project: 'RingHistory' with: [
				spec
					className: 'ConfigurationOfRing';
					version: '1.3';
					loads: #('HistoryBrowsers');
					file: 'ConfigurationOfRing';										
					repository: 'http://www.squeaksource.com/Ring' ].		
		
	]! !

!ConfigurationOfJet methodsFor: 'baselines' stamp: 'VeronicaUquillas 12/19/2011 14:36'!
default: spec 
	<version: 'default'>

	spec for: #common do: [
		spec author: 'VeronicaUquillas'.
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/JET'.
		spec 
			package: 'Jet-Model' with:[
				spec requires: #('RingHistory') ];
			package: 'Jet-Browsers' with: [ spec requires: #('Jet-Model') ].
			
		spec
			project: 'RingHistory' with: [
				spec
					className: 'ConfigurationOfRing';
					version: 'default';
					loads: #('HistoryBrowsers');
					file: 'ConfigurationOfRing';										
					repository: 'http://www.squeaksource.com/Ring' ].		
		
	]! !

!ConfigurationOfJet methodsFor: 'symbolic versions' stamp: 'VeronicaUquillas 12/19/2011 14:32'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: #'notDefined'.
! !

!ConfigurationOfJet methodsFor: 'accessing' stamp: 'VeronicaUquillas 12/19/2011 14:32'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !

!ConfigurationOfJet methodsFor: 'symbolic versions' stamp: 'VeronicaUquillas 3/12/2012 22:15'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: #'notDefined'.
	spec for: #'pharo1.3.x' version: '1.3'.! !

!ConfigurationOfJet methodsFor: 'baselines' stamp: 'VeronicaUquillas 3/12/2012 22:12'!
version13: spec 
	<version: '1.3' imports: #('1.3-baseline')>
	
	spec for: #common do: [
		spec author: 'VeronicaUquillas'.
		spec description: 'Compatible with Pharo 1.3'.
		spec blessing: #development.
		
		spec project: 'RingHistory' with: '1.3'.
		spec
			package: 'Jet-Model' with:  'Jet-Model-VeronicaUquillas.4';
			package: 'Jet-Browsers' with:  'Jet-Browsers-VeronicaUquillas.6' ]! !
